#### 3.25.16.5 set datafile commentschars

The ‘set datafile commentschars‘ command allows you to tell ‘gnuplot‘ what characters are used in a data file to denote comments. Gnuplot will ignore rest of the line behind the specified characters if either of them is the first non-blank character on the line.

Syntax:

          set datafile commentschars {"<string>"}
          show datafile commentschars
          unset commentschars

Default value of the string is "#!" on VMS and "#" otherwise.

Then, the following line in a data file is completely ignored

        # 1 2 3 4

but the following

        1 # 3 4

produces rather unexpected plot unless

        set datafile missing '#'

is specified as well.

Example:

          set datafile commentschars "#!%"